FROM python:3.12-slim

WORKDIR /app
RUN pip install --no-cache-dir wsgidav cheroot

COPY app.py .
COPY entrypoint.sh /entrypoint.sh
RUN chmod +x /entrypoint.sh

EXPOSE 80
ENTRYPOINT ["/entrypoint.sh"]
